﻿@model HOD.Models.AgentDisplayModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Pages";
    Layout = "~/Views/Shared/_AgentHomePage.cshtml";
    string agentEmail = ViewBag.AgentEmail;
}


<style>
    .btn {
      background: #3498db;
      background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
      background-image: -moz-linear-gradient(top, #3498db, #2980b9);
      background-image: -ms-linear-gradient(top, #3498db, #2980b9);
      background-image: -o-linear-gradient(top, #3498db, #2980b9);
      background-image: linear-gradient(to bottom, #3498db, #2980b9);
      -webkit-border-radius: 28;
      -moz-border-radius: 28;
      border-radius: 28px;
      font-family: Arial;
      color: #ffffff;
      font-size: 20px;
      padding: 10px 20px 10px 20px;
      text-decoration: none;
    }

    .btn:hover {
      background: #3cb0fd;
      background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
      background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
      background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
      background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
      background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
      text-decoration: none;
    }

    #AGENTimage {
        background-position: center;
        background-repeat: no-repeat;
        height: 450px;
        width: 400px;
        margin-left: auto;
        margin-right: auto;
        box-shadow: none;   
    }

</style>


		<div class="container">
			<div class="header">
            <div id="logo"><img src="@Model.AgentLogo"/></div>
            <div id="AGENT">
            	<div id="AGENTimage">
                </div>
            </div>
				<div class="clr"></div>
			</div><!-- header -->
			
			 <div id='cssmenu'>
<ul>
   <li class='active'><a href='#grid-gallery'><span>Recent Listings</span></a></li>
   <li><a href='#about'><span>About</span></a></li>
   <li><a href='#testimonials'><span>@Model.OtherPage1Label</span></a></li>
   <li><a href='#otherPage2'><span>@Model.OtherPage2Label</span></a></li>
   <li class='last'><a href='#contactBG'><span>Contact</span></a></li>
</ul>
</div>  

<h1>@Model.BusinessName<span>@Model.BusinessAddress, @Model.BusinessCity, @Model.PostalCode</span></h1>
                <h2>@Model.Phone1 &nbsp;|&nbsp;@agentEmail </h2>
			
            <h1>
            @*Model.OtherPage1Label*@
            </h1>
            <div id="testimonials">
            <span class="testimonials_text">            
                <!--"Awesome" - James-->
                Welcome
            </span>
            </div>
            <div id="testimonials">
            <span class="testimonials_text">
                @Html.Raw(Model.HomePageContent)
            <!--"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean a dapibus neque. Etiam sit amet posuere ipsum. Pellentesque eleifend ac ex non lobortis. Nulla eu ultricies purus. Vivamus at ligula blandit lorem feugiat scelerisque. Mauris sed nisl nec quam euismod commodo id et risus. 	" - James-->
            </span>
            </div>
			<div id="grid-gallery" class="grid-gallery">
				<section class="grid-wrap">
					<ul class="grid">
						<li class="grid-sizer"></li><!-- for Masonry column width -->

                        @foreach (var listingImage in Model.listingImages){
                          if (!listingImage.ListingImageUrl.Contains("nohouse")){                            
  						    <li>
                                  
							    <figure>@{
                                        if (listingImage.Category.ToUpper() == "JUS"){
                                            @: SOLD
                                        } else {
                                            @: @listingImage.Category   
                                        }
                                     }
								    <img src="@listingImage.ListingImageUrl" alt="Home Image"/>
								    <figcaption>
                                            <p style="text-align:left">
                                                @{
                                                    if (listingImage.Neighbourhood != null){
                                                        @: @listingImage.Neighbourhood,    
                                                    }
                                                }
                                                @listingImage.City, @listingImage.Province
                                                <br />
                                                Bed: @listingImage.NoOfBedrooms.ToString("N0")<br />
                                                Bath: @listingImage.NoOfBathrooms.ToString("N0")<br />
                                                Sq. Ft: @listingImage.SquareFootage.ToString("N0")<br />
                                                Price: @listingImage.ListPrice.ToString("C0")<br />
                                                Code: VUE @listingImage.ListingId
                                                @*URL: @listingImage.CientUrl*@
                                                @*listingImage.MainSellingDesc*@
                                            </p> 
								    </figcaption>
							    </figure>
						    </li>                          
                            }
                        }
					</ul>


				</section><!-- // grid-wrap -->
				<section class="slideshow">
					<ul>

                        @foreach (var listingImage in Model.listingImages){
                          if (!listingImage.ListingImageUrl.Contains("nohouse")){
						    <li>
							    <figure>
								    <figcaption>
									    <h3>Property Overview</h3>
									    <p>
                                          @{
                                            if (listingImage.MainSellingDesc != null){   
                                                if (listingImage.MainSellingDesc.Length > 100){                                                                
                                                    @: @listingImage.MainSellingDesc.Substring(0, 100);
                                                } else {
                                                    @: @listingImage.MainSellingDesc
                                                }
                                            }
                                            }

									    </p>
								    </figcaption>
                                    <a href="@Url.Action("PublicView", "Listing", new { @id = "VUE" + listingImage.ListingId , })"  target="_new">
								        <img src="@listingImage.PublicLawnSignImageUrl" alt="Home Image" style="width:424px; height:405px;"/>
                                    </a>
							    </figure>
						    </li>
                          }
                        }
					</ul>
					<nav>
						<span class="icon nav-prev"></span>
						<span class="icon nav-next"></span>
						<span class="icon nav-close"></span>
					</nav>
					<div class="info-keys icon">Navigate with arrow keys</div>
				</section><!-- // slideshow -->
			</div><!-- // grid-gallery -->
            <h1>
            @Model.OtherPage1Label
            </h1>
            <div id="testimonials">
            <span class="testimonials_text">            
                <!--"Awesome" - James-->
            </span>
            </div>
            <div id="testimonials">
            <span class="testimonials_text">
                @Html.Raw(Model.OtherPage1Content)
                @Html.ActionLink("Sign Up Now", "SignUp",null, new {@class = "btn"})
            <!--"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean a dapibus neque. Etiam sit amet posuere ipsum. Pellentesque eleifend ac ex non lobortis. Nulla eu ultricies purus. Vivamus at ligula blandit lorem feugiat scelerisque. Mauris sed nisl nec quam euismod commodo id et risus. 	" - James-->
            </span>
            </div>

            <h1>
            @Model.OtherPage2Label
            </h1>
            <div id="otherPage2">
            <span class="otherPage2_text">            
                Awesome - James
            </span>
            </div>
            <div id="otherPage2">
            <span class="otherPage2_text">
                @Html.Raw(Model.OtherPage2Content)
           </span>
            </div>
            </div>
            
           
           <div id="contactBG">
           <h1>Contact Me</h1>
			<div class="main">
				<form class="cbp-mc-form">
					<div class="cbp-mc-column">
						<label for="first_name">First Name</label>
	  					<input type="text" id="first_name" name="first_name" placeholder="Jonathan">
	  					<label for="last_name">Last Name</label>
	  					<input type="text" id="last_name" name="last_name" placeholder="Doe">
	  					<label for="email">Email Address</label>
	  					<input type="text" id="email" name="email" placeholder="jon@doe.com">
                        <label for="phone">Phone Number</label>
	  					<input type="text" id="phone" name="phone" placeholder="+416 888 8888">
	  					<label for="contact_preference">Contact Preference</label>
	  					<select id="contact_preference" name="contact_preference">
	  						<option>Phone</option>
	  						<option>Email</option>
	  					</select>
	  				</div>
	  				<div class="cbp-mc-column">
	  					
                        <label for="bio">About You</label>
	  					<textarea id="bio" name="bio" placeholder="Please tell us a little about yourself."></textarea>
	  					<label for="occupation">Occupation</label>
	  					<input type="text" id="occupation" name="occupation" placeholder="Optional">
	  					<label for="income">Yearly Income</label>
	  					<input type="text" id="income" name="income" placeholder="Optional">
	  				</div>
	  				<div class="cbp-mc-column">
	  					<label>What type of house are you looking for?</label>
	  					<select id="housetype" name="housetype">
	  						<option>Optional</option>
	  						<option>1 Bedroom</option>
	  						<option>2 Bedroom</option>
	  						<option>3 Bedroom</option>
	  					</select>
                        <label for="affiliations">How'd you find this listing?</label>
	  					<textarea id="affiliations" name="affiliations" placeholder="Optional"></textarea>
	  					<label for="comments">Comments</label>
	  					<textarea id="comments" name="comments"></textarea>	
	  				</div>
	  				<div class="cbp-mc-submit-wrap"><input class="cbp-mc-submit" type="submit" value="Submit Contact Form" /></div>
				</form>
			</div>
		</div>  
		<div id="stripe"></div>
		
		<div id="about">
		<div class="round">
            	<img src="@ViewBag.AgentImage" />
        		</div>
                <h1>@Model.BusinessName<span>@Model.BusinessAddress, @Model.BusinessCity, @Model.Province</span></h1>
                <h2>@Model.Phone1 &nbsp;|&nbsp; @agentEmail</h2>
                <div id="aboutsection">@Html.Raw(Model.AboutMe)<p>
                </div>	
                
            </div>
	</div>
	<div id="stripe"></div>
            <div id="footer">
            powered by Apex Producer Real Estate Solutions
            </div>
		          
		</div>
		<script src="~/Scripts/agentres/imagesloaded.pkgd.min.js"></script> <!--js/imagesloaded.pkgd.min.js-->
		<script src="~/Scripts/agentres/masonry.pkgd.min.js"></script><!--js/masonry.pkgd.min.js-->
		<script src="~/Scripts/agentres/classie.js"></script>                    <!--js/classie.js-->
		<script src="~/Scripts/agentres/cbpGridGallery.js"></script>             <!--cbpGridGallery.js-->
		<script>
		    new CBPGridGallery(document.getElementById('grid-gallery'));
		</script>

@{
    string agentPhoto = Model.AgentProfilePic;

    bool isFreeTier = false;
    string agentLogo;
    string background;
    
    HOD.Data.Entities.UserProfile agentUserData;
    
    using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext()){

        agentUserData = dbContext.UserProfiles.Where(agent => agent.UserId == Model.AgentId).FirstOrDefault();       
        
       if (agentUserData.Tier.ToUpper() == "FREE"){
            isFreeTier = true;  
            agentLogo = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
            agentPhoto = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/blank-logo-icon.png";   
            background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";   
                     
        } else {            
            agentLogo = Model.AgentLogo;
            agentPhoto = Model.AgentProfilePic;
            background = Model.AgentTopBackground;   
        }                                   
    }
    
    
}
<script>
    //tinymce.init({ selector: 'textarea', menubar: false, statusbar: false });
        @{ if (isFreeTier){
                @: $('#AGENTimage').remove(); 
                @: $('.header').css('background-image', 'url("@background")');
                @: $('#AGENT').css('background-color', "transparent");

            } else {
                @: $('#AGENTimage').css('background-image', 'url("@agentPhoto")');
                }               
               
        }    

    $(document).ready(function () {
        var $body = $('body');
        // $('body').css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ') !important;');
        //$body.css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ')')//.height(525).width(1660);     
        $('#agentLogo').attr('src', "@agentLogo");
        $('#otherPage1').text('@Model.OtherPage1Label');
        $('#otherPage2').text('@Model.OtherPage2Label');
        $('#mainMenu a').each(function () {
            this.href += '?AgentId=@Model.AgentId';
        });


    });
</script>
